Bug 4068 - Problems with comma/delete key on numeric keyboard - again
Summary: Problems with comma/delete key on numeric keyboard - again
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VNC (show other bugs)
Version: 3.2.0
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.1.0
Assignee: Pierre Ossman
URL:
Keywords: astrand_tester
Depends on:
Blocks: 3523
  Show dependency treegraph
 
Reported: 2011-11-23 10:28 CET by Peter Åstrand
Modified: 2013-05-30 09:12 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Description Peter Åstrand cendio 2011-11-23 10:28:29 CET
This is bug 1919, once again. We did a patch in r12806, but now the bug is back again due to the new FLTK-based client. I guess we need to port this bugfix to the new client.
Comment 1 Pierre Ossman cendio 2012-10-02 12:13:02 CEST
Happens on Windows and OS X, but not on Linux.
Comment 2 Pierre Ossman cendio 2012-12-11 11:23:22 CET
Hopefully we can just port over the old fix.
Comment 3 Pierre Ossman cendio 2013-04-16 14:03:18 CEST
Fixed in r27089.

Went with a slightly different approach this time. Instead of looking at the locale settings, we check the symbol generated. This way it more closely tracks your keyboard layout rather than your locale.
Comment 4 Peter Åstrand cendio 2013-05-27 15:02:04 CEST
As comment #1 points out, this affects OS X as well, but the fix was only for Windows. Verified that OS X still generates dots with the TL client, but commas locally.
Comment 5 Pierre Ossman cendio 2013-05-29 14:44:23 CEST
(In reply to comment #4)
> As comment #1 points out, this affects OS X as well, but the fix was only for
> Windows. Verified that OS X still generates dots with the TL client, but commas
> locally.

r27465.
Comment 6 Peter Åstrand cendio 2013-05-30 09:12:32 CEST
Works with build 3966.

Note You need to log in before you can comment on or make changes to this bug.